Subject: bug#60908: closed (Re: [bug#60899] [PATCH 00/25] gnu: golang: Add gopls)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 06 Feb 2023 23:16:06 +0000

Your bug report

#60899: [PATCH 10/25] gnu: gopkg-in-errgo-fmt-errors: Rename package to go-gopkg-in-errgo-fmt-errors.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60899: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60899
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#60899] [PATCH 00/25] gnu: golang: Add gopls
From: Christopher Baines <[email-masked]>
To: Katherine Cox-Buday <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 07 Feb 2023 00:14:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Katherine Cox-Buday <[email-masked]> writes:

> This is a patch series to add the gopls package.
>
> I haven't contributed to many projects which use the e-mail flow, so hopefully
> I'm doing this correctly. Please feel free to make suggestions if not!
>
> Some of the diffs are a little busier than I'd like for version bumps. This is
> due to running `guix style` over everything.
>
> For all of the packages I have:
>
> . Run guix style
> . Run guix lint
> . Built 2x
> . Checked that the change is in the correct branch
> . Built all dependencies
> . Built the repository
>
> Katherine Cox-Buday (25):
>   gnu: go-golang-org-x-sync: Update to 0.1.0-1.8fcdb60.
>   gnu: go-golang-org-x-mod: Update to 0.7.0.
>   gnu: Add go-golang-org-x-exp.
>   gnu: Add go-github-com-jba-printsrc.
>   gnu: Add go-github-com-google-safehtml.
>   gnu: Add go-github-com-jba-templatecheck.
>   gnu: go-github-com-google-go-cmp-cmp: Update to 0.5.9.
>   gnu: go-github-com-pkg-diff: Update to
>     0.0.0-20210226163009-20ebb0f2a09e.
>   gnu: go-github-com-rogpeppe-go-internal: Update to 1.9.0.
>   gnu: gopkg-in-errgo-fmt-errors: Rename package to
>     go-gopkg-in-errgo-fmt-errors.
>   gnu: go-golang-org-x-tools: Update to 0.5.0.
>   gnu: Add xurls.
>   gnu: Add go-mvdan-cc-xurls.
>   gnu: Add misspell.
>   gnu: Add go-github-com-client9-misspell.
>   gnu: Add go-github-com-google-go-cmdtest.
>   gnu: Add unparam.
>   gnu: Add go-mvdan-cc-unparam.
>   gnu: Add govulncheck.
>   gnu: Add go-golang-org-x-vuln.
>   gnu: go-github-com-burntsushi-toml: Update to 1.2.1.
>   gnu: go-honnef-co-go-tools: Update to 0.3.3.
>   gnu: Add gofumpt.
>   gnu: Add go-mvdan-cc-gofumpt.
>   gnu: Add gopls.
>
>  gnu/packages/configuration-management.scm |   2 +-
>  gnu/packages/golang.scm                   | 695 ++++++++++++++++++----
>  2 files changed, 578 insertions(+), 119 deletions(-)

I've made a few tweaks and pushed this to master as
f3ab5888a0bc6446104ddbba41a413a86eb298e2.

Thanks,

Chris

Subject: [PATCH 10/25] gnu: gopkg-in-errgo-fmt-errors: Rename package to go-gopkg-in-errgo-fmt-errors.
From: Katherine Cox-Buday <[email-masked]>
To: [email-masked]
Cc: Katherine Cox-Buday <[email-masked]>
Date: Tue, 17 Jan 2023 18:44:55 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/configuration-management.scm (chezmoi): Define in terms
of'go-gopkg-in-errgo-fmt-errors'.

* (go-gopkg-in-errgo-fmt-errors): New variable, formerly known as "gopkg-in-errgo-fmt-errors".
---
 gnu/packages/configuration-management.scm | 2 +-
 gnu/packages/golang.scm                   | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/configuration-management.scm b/gnu/packages/configuration-management.scm
index 3ebb6957c8..b66f70545a 100644
--- a/gnu/packages/configuration-management.scm
+++ b/gnu/packages/configuration-management.scm
@@ -97,7 +97,7 @@ (define-public chezmoi
            go-golang-org-x-net
            go-golang-org-x-oauth2
            go-github-com-rogpeppe-go-internal
-           gopkg-in-errgo-fmt-errors))
+           go-gopkg-in-errgo-fmt-errors))
     (home-page "https://www.chezmoi.io/")
     (synopsis "Personal configuration files manager")
     (description "This package helps to manage personal configuration files
diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 240f8ea56c..4cef0f61f6 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9147,9 +9147,9 @@ (define-public go-github-com-rogpeppe-go-internal
 @end itemize\n")
     (license license:bsd-3)))
 
-(define-public gopkg-in-errgo-fmt-errors
+(define-public go-gopkg-in-errgo-fmt-errors
   (package
-    (name "gopkg-in-errgo-fmt-errors")
+    (name "go-gopkg-in-errgo-fmt-errors")
     (version "2.1.0")
     (source (origin
               (method git-fetch)
@@ -9162,7 +9162,7 @@ (define-public gopkg-in-errgo-fmt-errors
                 "065mbihiy7q67wnql0bzl9y1kkvck5ivra68254zbih52jxwrgr2"))))
     (build-system go-build-system)
     (arguments
-     `(#:import-path "gopkg.in/errgo.v2/fmt/errors"
+     `(#:import-path "gopkg.in/errgo.v2"
        #:tests? #f
        ;; Source-only package
        #:phases
-- 
2.38.1